Api referenceClasses
Retrieve a class with its roster
Authorization
ApiKeyAuth AuthorizationBearer <token>
Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/classes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795", "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "service_name": "string", "technician_id": "557e6e8c-3c29-4825-b73f-0884ad39f2d9", "technician_name": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "capacity": 0, "booked": 0, "spots_left": 0, "waiting": 0, "status": "scheduled", "roster": [ { "attendee_id": "83226cf6-9cc1-4adb-b536-110595637d19", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "status": "reserved", "paid_by": "membership", "source": "staff", "booked_at": "2019-08-24T14:15:22Z", "checked_in_at": "2019-08-24T14:15:22Z", "cancelled_at": "2019-08-24T14:15:22Z", "guest_of_contact_id": "d4c305ef-f1aa-4f21-bdb8-45488d429664" } ], "waitlist": [ { "waitlist_id": "e5a0c6d7-7f61-4289-b2c3-c47e9d7aac1b", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "status": "waiting", "position": 0, "offer_expires_at": "2019-08-24T14:15:22Z" } ]}